import {
    ApiModel
} from "../../../utils/api";
const _Http = new ApiModel();
Page({
    /**
     * 页面的初始数据
     */
    data: {
        searchFocus: false, //我的需求搜索框焦点
        searchText: "", //我的需求搜索内容
        pageNumber: 1, //获取第几页
        pageTotal: 2, //全部分页数量
        active: 0, //tabs 选中下标
        swiperBannerList: [{
            id: "001",
            url: "/static/userImage.png",
            src: ''
        }, {
            id: "002",
            url: "/static/userImage.png",
            src: ''
        }, {
            id: "003",
            url: "/static/userImage.png",
            src: ''
        }], //轮播图列表
        /* 宫格列表 */
        gridList: [{
            id: '001',
            text: '寻找面料',
            icon: '/static/login/Phone.png'
        }, {
            id: '002',
            text: '面料设计',
            icon: '/static/login/identity.png'
        }, {
            id: '003',
            text: '平面设计',
            icon: '/static/login/username.png'
        }, {
            id: '004',
            text: '产品策划',
            icon: '/static/login/verificationcode.png'
        }, {
            id: '005',
            text: '寻找主播',
            icon: '/static/login/verificationcode.png'
        }, {
            id: '006',
            text: '摄影摄像',
            icon: '/static/login/identity.png'
        }, {
            id: '007',
            text: '商业培训',
            icon: '/static/login/username.png'
        }],
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {

    },
    /* 宫格区点击事件 */
    gridJumpPage(even) {
        const {
            name
        } = even.target.dataset
        console.log(name)
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        this.getTabBar().init();
        //获取所有信息
        this.getSupplyAndDemand();
    },
    /* 获取供需列表 */
    getSupplyAndDemand() {
        let ftype = "",
            condition = ""
        _Http.basic({
            "accesstoken": wx.getStorageSync('userData').token,
            "classname": "customer.supplyanddemand.supplyanddemand",
            "method": "query_supplyanddemandList",
            "content": {
                "getdatafromdbanyway": true,
                "pageNumber": 1,
                "pageSize": 20,
                "where": {
                    "condition": condition, //模糊搜索
                    "ftype": ftype, //数据类型
                    "fissupply": "" // 0需 1供
                }
            }
        }).then(res => {
            console.log(res)
        })
    },
    /* tabs切换 */
    tabsChange(even) {
        const {
            title
        } = even.detail;
        this.setData({
            active: even.detail.index
        })
        /* 初始化分页 */
        this.InitializeDataPaging();
        if (title == '我的需求') return this.myNeed();
    },
    /* 我的需求 */
    myNeed() {
        //全部加载完成退出请求
        if (this.data.pageTotal < this.data.pageNumber) return;
        _Http.basic({
            "accesstoken": wx.getStorageSync('userData').token,
            "classname": "customer.supplyanddemand.supplyanddemand",
            "method": "query_mysupplyanddemandList",
            "content": {
                "getdatafromdbanyway": true,
                "pageNumber": this.data.pageNumber,
                "pageSize": 20,
                "where": {
                    "condition": this.data.searchText,
                    "ftype": "",
                    "fissupply": "0"
                }
            }
        }).then(res => {
            console.log(res);
            this.PageDemanding(res.pageTotal)
        })
    },
    /* 我的需求搜索框获得焦点 */
    needSearchFocus() {
        this.setData({
            searchFocus: true
        })
    },
    /* 我的需求搜索框失去焦点 */
    needSearchBlur(e) {
        const {
            value
        } = e.detail;
        //数据比较，防止重复查询
        if (value == this.data.searchText) return this.setData({
            searchFocus: false,
        });
        let searchText = "";
        if (value != "") searchText = value;
        this.setData({
            searchFocus: false,
            searchText
        })
        this.InitializeDataPaging();
        this.myNeed();
    },
    /* 初始化分页数据 */
    InitializeDataPaging() {
        this.setData({
            pageTotal: 2,
            pageNumber: 1
        })
    },
    /* 分页 */
    PageDemanding(pageTotal) {
        let pageNumber = this.data.pageNumber + 1;
        this.setData({
            pageTotal,
            pageNumber
        })
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {
        if (this.data.active == 2) this.myNeed(); //我的需求
    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})